commit:     bb0f4cbd4a0ced91190af202349f2ab07b581387
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  3 20:07:45 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Jul  3 20:37:41 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb0f4cbd

app-office/naps2: bump to 8.2.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-office/naps2/Manifest           |   4 +
 app-office/naps2/naps2-8.2.0.ebuild | 279 ++++++++++++++++++++++++++++++++++++
 2 files changed, 283 insertions(+)

diff --git a/app-office/naps2/Manifest b/app-office/naps2/Manifest
index 613445399adc..6d29589ad7ea 100644
--- a/app-office/naps2/Manifest
+++ b/app-office/naps2/Manifest
@@ -39,11 +39,15 @@ DIST microsoft.win32.systemevents.8.0.0.nupkg 233719 
BLAKE2B 7d8cad3d5cad9646167
 DIST microsoft.win32.systemevents.9.0.3.nupkg 184464 BLAKE2B 
ec83c8f5834e6716f1e45279de108ecb5937af8b74537133e14d250d4f0fabfd4c4b97023f13c990151c567b8f68bcad2f9772e03998bc3943e876e4980dd1ed
 SHA512 
1dac0e903ae7aa73ea1ac46665f8bbddd7d82a1d79ca6d331ff34d13ecb3e9f546168472f5da96e5db028191e8bb40110d969117e81977bdd4d1bb4874633590
 DIST mimekitlite.4.7.1.nupkg 4782334 BLAKE2B 
dd066cde8b8f09a9aa0c44881a703d2e96b569d313cd6803be4ed568fc30360e7556c1e01baf61ab497880a46ba9304c3d9152787e3e460c273b2d92e801c23a
 SHA512 
cfc5608a058c98f5e5771554f6b46dba0a77265137cdd82549d733e2efc54ac0dfdb24d578243cc4024b3bf272d4cf2ed6b589df88786f7c68a38e73a7569ba0
 DIST naps2-8.1.4.tar.gz 42103096 BLAKE2B 
228b41b6e34d17efd38e4043b87b28fa18fbb182648a90eb9b25b0c0e69099d6afac1a8c3bcbc907285c5cce94143b893c560e8929a6465a004561df93905370
 SHA512 
4ee8913c3d33cea7e07a0cd0e7b34314991b14df53ba18b1e185c3dbb7a27b100cf180608e21d8e7c4d4bd9272b59ff189d419e4fb8b3913e19cba027036bd53
+DIST naps2-8.2.0.tar.gz 43303013 BLAKE2B 
3d8a196f7f5cdcfa1fbe40452589b897a4801fa956f7816b3576e093e2c51d465f8ad19634c9a38f5a7f54ae911bac77cfb4e5aae8bd081c04746cbb096c4d54
 SHA512 
4c41fb442e3feb4bdb8f5663b241638031b8e9c248b0ac0732cd9f8c78267186f3a62f15b9c05f311daf2532f7b1b5f7c48a9feed691a9a8a80986b48a7f9aef
 DIST naps2.mdns.1.0.1.nupkg 86085 BLAKE2B 
85c41ed205c155ebf618b09ab09fa6c405a528dafa5f435e55a7a59a4d8831ab8efd68c2e08ab2eb61c79869ce6dab8a72b9d3851285a57488043c3876b97cd4
 SHA512 
0415de3d8758b301df93f89019ea096f554c7e4760658f387da5c2e25c895fcbb1d905ecdb89ee894cbac19580bb7948b0be57174f9823c338d57243d8fcf650
 DIST naps2.ntwain.1.0.0.nupkg 490706 BLAKE2B 
8208a15d6c9ec65eda196cff2141d9349c1278d6536dbb02552462e1c53fdebb68ecabd84c73150e4848ab80a537e25db15c6fca27d264f7dbfd904f65eb0560
 SHA512 
83ae07decef61c55fb3dc11212f335264288881be2014e194e104da1892c0d58ab71c1e32832d219cf9618b4f9485d2ad79668bcd0cffdbad9790f6d0798c6d2
+DIST naps2.ntwain.1.0.1.nupkg 492160 BLAKE2B 
65270ec25c9aff3ade6bfacbe987fcf762eb41d3afc274520e36f0d3d0011a64b5fcc6ed5c454c6b8050cb90e8c8203f0bf6e32e1c0b94480b10771031671af5
 SHA512 
2de989daf1e9a4de1d71073825cc99a54388d4eb542afa793ce3387b8577722a91d1e0f3b30ba00ea328dd2056db2af387b84b437b239c3710327ce84d2cfb3f
 DIST naps2.pdfium.binaries.1.1.0.nupkg 15878385 BLAKE2B 
891bca3725934a7e0f86165f3f8665a24d552682c0dae726d75954008c850fdad22f9c388d956de8af7b85ef01ca3baed5aacaea13e3d8e502bddac3c055ad53
 SHA512 
b2b747628a2dd9fb9626c1ce977622b2a40079ddd506a845e39bff4264ac06406234b6a4b4b16c5c394dc5487b7a3b414b86370844c94a5245b594eaa1b5a761
+DIST naps2.pdfium.binaries.1.2.0.nupkg 19935199 BLAKE2B 
4fe8e065bb1a7e6d8477e02a0eae04736ee8e809b549f23e3cb99fa20571d927bdbf37f94ebb4f5d6dbd97b77899ead266ef73709e3a71f4fe100f6063895d48
 SHA512 
a6c107d65571ef5b6de69765aca2ff3d725a17761f70d0dd231b19579801fcbaccd49ec93ef76930edd89a23e904f1d5e42a1e6974751d504be8ed325fc96188
 DIST naps2.pdfsharp.1.0.1.nupkg 668676 BLAKE2B 
d060b00b9c4fb6be89bfc69b9be2a3b640c928c6e7e712a44b4a38a6fd6bd6c4ad990f737ad1f57ad8f6b96d7cecd5020e51fc52b8acb4b1400c88558bee4817
 SHA512 
30b5ad84214860c5260a483944c2d72dec40abd7620679e9143f747948f4b5d5247ad505b5025628eabc8420b375aa805e645091407fb09d3fd3a88ef4450f60
 DIST naps2.tesseract.binaries.1.3.1.nupkg 13267508 BLAKE2B 
49ae23d1ff589851a4c7d5e93baa4988071ff9b48f44ceff91a82f58f6828c62d916c676ca54fd67c0f4b6728ac110088e65a23f84c261c26351c6f1c81fa33e
 SHA512 
e3935cad23d840adf617f49bfb796072a6b07aba5fe7291b000ad7572ef1ed6c70d7c102d18f4681ebe485f782aa34dd1fce3511557241d82aa884c2f034d114
+DIST naps2.tesseract.binaries.1.3.2.nupkg 17971913 BLAKE2B 
4c0e60266de81b16ae7d0a0cd9761d3a53d22b08a7eedb14436767ef28502ff2f70bddc8e44f394451eb80cab2cb01e39e218dc64e0027820b567a692d35e734
 SHA512 
00a226bf9a42017091b22f34075acf1722eb356b8b905a22b474e16bf1918685b26406c7542e08ddec16d4be1df111c53dcc0a45dc8fe3eeed813b02b791cd72
 DIST naps2.wia.2.0.3.nupkg 81720 BLAKE2B 
19658f6ecfd47a21d88955c89968e111f06504246790f779078f47f9d4d947d692df19713e6422b7fcb75608d4ee999872f78729fd80ae58d9b9e612a8f2d0ae
 SHA512 
0eede4a6c57e76c87fd44aa56aca8181e39ea3f2bce782027ae6161781deb7b7c9b060966a31a6d22202fc75648f744e1fa0aefa27a8550fc13d04454a9b0743
 DIST netstandard.library.2.0.0.nupkg 3143842 BLAKE2B 
7e3fc865e7893fb531b21e2ca791b788af01481316e49a79c4676050c2b8ad413fd8a4ef9890557582ec8b9741c8aa01b080b8d2caa16e02bfff2a7b38777989
 SHA512 
e3d64072b9cd9f9e86209c06a22688ecda7070427c9a35327d2a9560824c0e1381ccf7bc1d21d2ef8b301761f4bfc7f38fba712df7188d2f4fe4f748aac4d0c7
 DIST netstandard.library.2.0.3.nupkg 3146139 BLAKE2B 
311e5367398f76c74e78930bc2cd39e450a86bd8626311ded8d58bd84c94a8a84db3c11b2bc10f3eeba20a9d081fe7827981f702ad746b49ae3108c949ba1022
 SHA512 
e78f0cea69c14895b1b089644077dbce8631a626055d96522f4d29e061d8bfc3e48aa1419e74faf265b998612c03f721f5f0cef4690f824150a5689764dee601

diff --git a/app-office/naps2/naps2-8.2.0.ebuild 
b/app-office/naps2/naps2-8.2.0.ebuild
new file mode 100644
index 000000000000..d8cd8b2c846c
--- /dev/null
+++ b/app-office/naps2/naps2-8.2.0.ebuild
@@ -0,0 +1,279 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DOTNET_PKG_COMPAT="9.0"
+
+# Generated via "gdmt restore", but the *.Mac projects had to be removed from
+# the sln manually first. Later they are removed via "DOTNET_PKG_BAD_PROJECTS".
+NUGETS="
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+runtime.debian.8-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.fedora.23-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.fedora.24-x64.runtime.native.system.security.cryptography.openssl@4.3.2
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+runtime.opensuse.13.2-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.opensuse.42.1-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.apple@4.3.0
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.rhel.7-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.ubuntu.14.04-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.ubuntu.16.04-x64.runtime.native.system.security.cryptography.openssl@4.3.2
+runtime.ubuntu.16.10-x64.runtime.native.system.security.cryptography.openssl@4.3.2
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+"
+
+inherit dotnet-pkg desktop xdg
+
+DESCRIPTION="Document scanning application with a focus on simplicity and ease 
of use"
+HOMEPAGE="https://www.naps2.com/
+       https://github.com/cyanfish/naps2/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/cyanfish/${PN}.git";
+else
+       
SRC_URI="https://github.com/cyanfish/${PN}/archive/refs/tags/v${PV}.tar.gz
+               -> ${P}.tar.gz"
+
+       KEYWORDS="~amd64"
+fi
+
+SRC_URI+=" ${NUGET_URIS} "
+
+LICENSE="AGPL-3+ Apache-2.0 BSD BSD-2 GPL-2+ LGPL-3+ MIT"
+SLOT="0"
+RESTRICT="test"
+
+RDEPEND="
+       app-text/tesseract
+       media-fonts/liberation-fonts
+       media-fonts/noto
+       media-fonts/noto-cjk
+       media-gfx/sane-backends
+       x11-libs/gtk+:3
+"
+
+DOTNET_PKG_PROJECTS=( NAPS2.App.Gtk )
+DOTNET_PKG_BAD_PROJECTS=(
+       # For MacOS.
+       NAPS2.App.Mac
+       NAPS2.Images.Mac
+       NAPS2.Lib.Mac
+
+       # For Windows.
+       NAPS2.App.Console
+       NAPS2.App.WinForms
+       NAPS2.App.Worker
+       NAPS2.Images.Wpf
+       NAPS2.Lib.WinForms
+
+       # Failing tests:
+       NAPS2.App.Tests
+       NAPS2.Escl.Tests
+       NAPS2.Lib.Tests
+       NAPS2.Sdk.ScannerTests
+       NAPS2.Sdk.Tests
+)
+
+DOCS=( CHANGELOG.md README.md )
+
+src_unpack() {
+       dotnet-pkg_src_unpack
+
+       if [[ -n "${EGIT_REPO_URI}" ]] ; then
+               git-r3_src_unpack
+       fi
+}
+
+src_prepare() {
+       dotnet-pkg_src_prepare
+
+       # Having this package reference in a proj file will make dotnet copy
+       # the host's libhostpolicy.so and break the Gentoo's mechanism of 
handling
+       # dotnet executables.
+       sed -e "/.*NETCore.App.*/d" -i NAPS2.App.Gtk/NAPS2.App.Gtk.csproj || die
+}
+
+src_install() {
+       dotnet-pkg_src_install
+
+       local linux_dir=""
+       case "${ARCH}" in
+               arm* )
+                       linux_dir="/usr/share/${P}/_linuxarm"
+                       ;;
+               * )
+                       linux_dir="/usr/share/${P}/_linux"
+                       ;;
+       esac
+
+       # Use system tesseract.
+       rm -f "${ED}/${linux_dir}/tesseract" || die
+       dosym -r /usr/bin/tesseract "${linux_dir}/tesseract"
+
+       find "${ED}/${linux_dir}" -type f -exec chmod a+rx {} + || die
+
+       newicon --size 128 ./NAPS2.Lib/Icons/scanner-128.png com.naps2.Naps2.png
+       domenu ./NAPS2.Setup/config/linux/com.naps2.Naps2.desktop
+
+       insinto /usr/share/metainfo
+       doins ./NAPS2.Setup/config/linux/com.naps2.Naps2.metainfo.xml
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+}

Reply via email to